part of 'memoranda_bloc.dart';

class MemorandaState extends Equatable {
  const MemorandaState();

  @override
  List<Object> get props => [];
}

class MemorandaInitial extends MemorandaState {}

class MemorandaLoading extends MemorandaState {}

class MemorandaLoaded extends MemorandaState {
  MemorandaLoaded(this.memorada);
  final List<Memoranda> memorada;

  @override
  List<Object> get props => [memorada];
}

class MemorandaErrorState extends MemorandaState {
  MemorandaErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
